aboutsummaryrefslogtreecommitdiffstats
path: root/paredit [disowned]/watch-
diff options
context:
space:
mode:
Diffstat (limited to 'paredit [disowned]/watch-')
-rwxr-xr-xparedit [disowned]/watch-21
1 files changed, 21 insertions, 0 deletions
diff --git a/paredit [disowned]/watch- b/paredit [disowned]/watch-
new file mode 100755
index 0000000..71ad30d
--- /dev/null
+++ b/paredit [disowned]/watch-
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+[ -f paredit.release ] && rm paredit.release
+
+wget 'http://mumble.net/~campbell/emacs' -O paredit.release >/dev/null 2>/dev/null
+
+if [ $? = 0 ]; then
+ [ -f unfetchable ] && rm unfetchable
+ md5sum paredit.release > new-sum
+ touch sum
+ if [ "$(cat sum)" = "$(cat new-sum)" ]; then
+ rm new-sum
+ else
+ mv new-sum sum
+ echo 'paredit'
+ fi
+elif [ ! -f unfetchable ]; then
+ touch unfetchable
+ echo 'paredit (unfetchable)'
+fi
+